#!/bin/bash

# check if VirtualBox is installed 
dpkg -l | grep virtualbox > /dev/null
if [ $? -ne 0 ]
then
	echo "VirtualBox must be installed for this script"
	exit 1
fi	

# check if vagrant is installed
vagrant --version >/dev/null 2>/dev/null
if [ $? -ne 0 ]
then
	echo "Vagrant must be installed for this script"
	exit 2
fi

# check for the sambaxp2020.tar.gz
if [ ! -f ./sambaxp2023.tar.gz ]
then
	echo "You must copy the file sambaxp2023.tar.gz to the "
	echo "same directory as the install.bash file. "
	exit 3
fi

# unpack the file with all conifg-files 
# inside the actual directory

tar xvf sambaxp2023.tar.gz
mv Vagrantfile-sambaxp2023 Vagrantfile
# Start all VMs
vagrant up

